Create a Retrieval
Create a Retrieval
Creates a data retrieval job.
POST
/
data-retrievals
/
v3.0
Create a Retrieval
curl --request POST \
--url https://{regionAndDomain}.com/api/app/data-retrievals/v3.0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"distinct_ids": [
"distinct_id_1",
"distinct_id_2",
"distinct_id_3"
],
"compliance_type": "<string>",
"disclosure_type": "<string>"
}
'import requests
url = "https://{regionAndDomain}.com/api/app/data-retrievals/v3.0"
payload = {
"distinct_ids": ["distinct_id_1", "distinct_id_2", "distinct_id_3"],
"compliance_type": "<string>",
"disclosure_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
distinct_ids: ['distinct_id_1', 'distinct_id_2', 'distinct_id_3'],
compliance_type: '<string>',
disclosure_type: '<string>'
})
};
fetch('https://{regionAndDomain}.com/api/app/data-retrievals/v3.0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"results": {
"task_id": "job-tracking-id"
}
}{
"error": "<string>",
"status": "error"
}{
"error": "<string>",
"status": "error"
}Authorizations
OAuth Token
Query Parameters
Your project token
Body
application/json
Was this page helpful?
⌘I
Create a Retrieval
